summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Vincent Batts2010-06-25 05:53:13 +0200
committer dsomero2010-06-25 05:53:13 +0200
commit88c21a1ea30ad038ce602cd90f48fed7bc075999 (patch)
treebe77ce345e4953bc849736867abd673a6293e1db /libraries
parent87caa17193a63159a719e89d3b45fbcc33a6d741 (diff)
downloadslackbuilds-88c21a1ea30ad038ce602cd90f48fed7bc075999.tar.gz
libraries/perl-Curses: Added (perl module for Curses)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-Curses/README3
-rw-r--r--libraries/perl-Curses/perl-Curses.SlackBuild87
-rw-r--r--libraries/perl-Curses/perl-Curses.info10
-rw-r--r--libraries/perl-Curses/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/libraries/perl-Curses/README b/libraries/perl-Curses/README
new file mode 100644
index 0000000000..a674d3009c
--- /dev/null
+++ b/libraries/perl-Curses/README
@@ -0,0 +1,3 @@
+perl-Curses (perl module for Curses)
+
+terminal screen handling and optimization
diff --git a/libraries/perl-Curses/perl-Curses.SlackBuild b/libraries/perl-Curses/perl-Curses.SlackBuild
new file mode 100644
index 0000000000..6768fa235e
--- /dev/null
+++ b/libraries/perl-Curses/perl-Curses.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for perl-Curses
+
+# Written by Vincent Batts, vbatts@hashbangbash.com
+
+SRCNAM=Curses
+PRGNAM=perl-$SRCNAM
+VERSION=${VERSION:-1.28}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+# Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tgz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ MAINTENANCE HISTORY INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/libraries/perl-Curses/perl-Curses.info b/libraries/perl-Curses/perl-Curses.info
new file mode 100644
index 0000000000..c8ea6003d0
--- /dev/null
+++ b/libraries/perl-Curses/perl-Curses.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Curses"
+VERSION="1.28"
+HOMEPAGE="http://search.cpan.org/dist/Curses/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GI/GIRAFFED/Curses-1.28.tgz"
+MD5SUM="ed9f7ddf2d90f4266da91c3dc9fad9c9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="dsomero"
diff --git a/libraries/perl-Curses/slack-desc b/libraries/perl-Curses/slack-desc
new file mode 100644
index 0000000000..70ca2a69d2
--- /dev/null
+++ b/libraries/perl-Curses/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Curses: perl-Curses (perl module for Curses)
+perl-Curses:
+perl-Curses: terminal screen handling and optimization
+perl-Curses:
+perl-Curses:
+perl-Curses:
+perl-Curses:
+perl-Curses:
+perl-Curses:
+perl-Curses:
+perl-Curses: